<app-header></app-header>


<div class="content">
  <mat-card>
    <mat-card-header>
      <mat-card-title>Nové hlásenie</mat-card-title>
    </mat-card-header>

    <mat-card-content>
      <form *ngIf="locations && statuses" [formGroup]="claimForm">

        <div
            class="container"
            fxLayout="row"
            fxLayout.xs="column"
            fxLayoutGap.gt-xs="2%"
            fxLayoutAlign="center"
            ngClass.xs="mobileContainer">

          <mat-form-field fxFlex="50%" class="form-field" appearance="outline">
            <mat-label> Názov
            </mat-label>
            <input matInput formControlName="title" required>
            <mat-error *ngIf="claimForm.controls.title.touched && claimForm.controls.title.invalid">
              <span *ngIf="claimForm.controls.title.errors.required">This field is mandatory.</span>
            </mat-error>
          </mat-form-field>

          <mat-form-field class="form-field" appearance="outline" fxFlex="50%">
            <mat-label> Číslo reklamácie z portálu
            </mat-label>
            <input matInput formControlName="claimNumber" type="text">
            <mat-error
                *ngIf="claimForm.controls.claimNumber.touched && claimForm.controls.claimNumber.invalid">
              <span *ngIf="claimForm.controls.claimNumber.errors.required">This field is mandatory.</span>
            </mat-error>
          </mat-form-field>
        </div>

        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutGap.gt-xs="2%" fxLayoutAlign="center"
             ngClass.xs="mobileContainer">

          <mat-form-field class="form-field" appearance="outline" fxFlex="50%">
            <mat-label>Stav</mat-label>
            <mat-select name="statuses" formControlName="statuses" required>

              <mat-option *ngFor="let status of statuses" [value]="status">
                {{ status.text }}
              </mat-option>
            </mat-select>
          </mat-form-field>

          <mat-form-field class="form-field" appearance="outline" fxFlex="50%">
            <mat-label>Umiestnenie</mat-label>
            <mat-select name="locations" formControlName="locations" required>

              <mat-option *ngFor="let location of locations" [value]="location">
                {{ location.text }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>

        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutGap.gt-xs="2%" fxLayoutAlign="left"
             ngClass.xs="mobileContainer">

          <mat-form-field class="form-field" appearance="outline" fxFlex="50%">
            <mat-label>Spôsob ohlásenia</mat-label>
            <mat-select name="types" formControlName="types" required>

              <mat-option *ngFor="let type of noticeTypes" [value]="type">
                <mat-icon>{{ type.icon }}</mat-icon>
                {{ type.name }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>

        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutGap.gt-xs="2%" fxLayoutAlign="center"
             ngClass.xs="mobileContainer">

          <mat-form-field appearance="outline" fxFlex="100%">
            <mat-label>Popis</mat-label>
            <textarea formControlName="description"
                      required
                      matInput
                      cdkTextareaAutosize
                      cdkAutosizeMinRows="1"
                      cdkAutosizeMaxRows="5">
            </textarea>
          </mat-form-field>
        </div>

      </form>

    </mat-card-content>

    <mat-card-actions align="end">
      <button
          (click)="saveClaim()"
          [disabled]="!claimForm.valid"
          mat-raised-button
          color="primary">Uložiť
      </button>
    </mat-card-actions>
  </mat-card>
</div>
